package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.base.BaseEntity;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 *
 * </p>
 *
 * @author zlj
 * @since 2022-12-20
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@TableName("email_mailbox")
public class EmailMailbox extends BaseEntity {

    /**
     * 电子邮件id
     */
    private Long emailInfoId;

    /**
     * 电子邮件
     */
    private String email;

    /**
     * 文件夹路径
     */
    private String path;

    /**
     * 文件夹名称
     */
    private String name;

    /**
     * 是否展示（1是 0否）
     */
    private Boolean isShow;

    /**
     * 初始化是否完成 1是 0否
     */
    private Boolean initialize;

}
